@import "./anim/FadeIn.css";

.employees {
    animation: fadeIn 200ms ease-in;
}

.employees__container {
    padding: 5%;
}

.employeeView {
    padding: 2%;
    animation: fadeIn 300ms ease-in;
}

.employees__titleIcon {
    margin-bottom: 1.8%;
    transform: scale(4.3);
    vertical-align: middle;
    color: black;
}

.employees__title {
    width: 100%;
    display: grid;
    place-items: center;
    margin: 3% 0;
}

.employees__noContent {
    width: 100%;
    display: grid;
    place-items: center;
}

.employeeView img {
    object-fit: cover;
}

.employeeView .card:hover {
    transform: scale(1.01);
    cursor: pointer;
}

.editEmployee--wrapper {
    position: absolute;
    top: 0;
    height: 100vh;
    width: 100%;
    z-index: 3;
}

.editEmployee__background {
    top: 0;
    position: fixed;
    height: 100%;
    width: 100%;
    background: rgba(240, 240, 240, 0.9);
    animation: fadeIn 150ms ease-in;
}

.editEmployee {
    display: grid;
    place-items: center;
}

.editEmployee .card {
    margin: 2%;
    width: 60ch;
    height: 90vh;
    overflow-y: auto;
}

.editEmployee .button {
    margin: 8% 0 0 0;
}

.editEmployee img {
    object-fit: cover;
}

.employees__addSection--wrapper {
    margin-top: 5%;
    width: 100%;
    height: 140px;
    display: grid;
    place-items: center;
}

.employees__addSection {
    height: 110px;
    width: 30ch;
    display: flex;
    justify-content: space-evenly;
    place-items: center;
    border-radius: var(--borderRadiusRounded);
    color: var(--alternativeColor);
    background: white;
    border: var(--alternativeColor) 2px solid;
}

.employees__addSection p {
    color: var(--primaryColor);
}

.employees__addSection:hover {
    cursor: pointer;
    background: var(--accentBackgroundColor);
    color: var(--primaryColor);
    font-weight: bold;
}

.employees__addIcon {
    transform: scale(4.8);
}
